#
# spec file for package youtube-dl-gui
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           youtube-dl-gui
Version:        0.3.8
Release:        1.1
Summary:        GUI for youtube-dl
# The Unlicense
License:        SUSE-Public-Domain
Group:          Productivity/Networking/Web/Utilities
Url:            https://github.com/MrS0m30n3/youtube-dl-gui
Source0:        https://github.com/MrS0m30n3/youtube-dl-gui/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE youtube-dl-gui-use_system_exe.patch
Patch0:         %{name}-use_system_exe.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-devel
BuildRequires:  python-wxWidgets-3_0-devel
BuildRequires:  update-desktop-files
Requires:       python-wxWidgets-3_0
Requires:       youtube-dl
Recommends:     ffmpeg
Enhances:       youtube-dl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A front-end GUI for the popular youtube-dl written in wxPython.

%lang_package

%prep
%setup -q
%patch0 -p1
sed -e 's|__BINDIR__|%{_bindir}|' -i youtube_dl_gui/optionsmanager.py
for i in {'optionsmanager','mainframe','__init__','logmanager','utils','downloadmanager','__main__','updatemanager','parsers','optionsframe','downloaders'}; do
sed -i -e "1d" "youtube_dl_gui/$i.py"
done

%build
python setup.py build

%install
python setup.py install --root %{buildroot}
%find_lang youtube_dl_gui
sed -e '1i \#!/usr/bin/env python' -i %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -c youtube-dl-gui youtube-dl-gui "Video downloader" youtube-dl-gui youtube-dl-gui "AudioVideo Recorder Network FileTransfer"

%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}_*.png
%{_datadir}/pixmaps/%{name}*.png
%{python_sitelib}/youtube_dl_gui
%{python_sitelib}/Youtube_DLG-%{version}-py%{python_version}.egg-info

%files lang -f youtube_dl_gui.lang
%defattr(-,root,root)
%doc LICENSE
%dir %{_datadir}/youtube-dlg
%dir %{_datadir}/youtube-dlg/locale
%dir %{_datadir}/youtube-dlg/locale/??_??
%dir %{_datadir}/youtube-dlg/locale/??_??/LC_MESSAGES

%changelog
* Fri Apr 14 2017 mpluskal@suse.com
- Replace supplements with enhances to avoid unwanted installation
* Thu Apr 13 2017 aloisio@gmx.com
- Added youtube-dl-gui-use_system_exe.patch
* Sat Apr  8 2017 aloisio@gmx.com
- Amended description
* Sun Apr  2 2017 aloisio@gmx.com
- Initial package (0.3.8)
